 '-------------------------------------------------------------------------------
' Filename   : RC5-Rx Attiny1-3.bas
' Purpose    : RC5 Remote Control Transmitter with one or two switched outputs
'-------------------------------------------------------------------------------
'
' IR- Receiver SFH 5110-36 is attached to PB0
' PB3 and PB4 drive the transistor switches
' PB1 and PB2 are unused, PB1 may be configured a an optional serial output
'
'-------------------------------------------------------

$regfile = "attiny13.dat"
$crystal = 1200000
$hwstack = 32
$swstack = 8
$framesize = 4
Baud = 9600

' Open "comb.1:9600,8,n,1,INVERTED" For Output As #1

Acsr.acd = 0                                                ' switch off analog comparator to save energy

Config Rc5 = Pinb.0
Enable Interrupts

Ddrb = &B0001_1010
Portb = &B0000_0000


Dim Rc5_command As Byte
Dim Rc5_address As Byte
Dim Address As Byte


'---[ set RC-5 System Address ]-------------------------------------------------

Address = 21


'---[ main program loop ]-------------------------------------------------------




Do

  Getrc5(rc5_address , Rc5_command)


' this optional code sends the received bytes to serial output (PB1):
'
'     If Rc5_address <> 255 Then
'        Rc5_command = Rc5_command And &B01111111            'remove toggle bit
'        Printbin #1 , Rc5_address
'        Printbin #1 , Rc5_command
'     End If

     If Rc5_address = Address Then

        If Rc5_command = 2 Then
           Portb.3 = 0
        End If
        If Rc5_command = 4 Then
           Portb.3 = 1
        End If

        If Rc5_command = 8 Then
           Portb.4 = 0
        End If
        If Rc5_command = 16 Then
           Portb.4 = 1
        End If
     End If

Loop